# Frontend/nginx.conf
server {
  listen 80;
  server_name localhost; # El nombre del servidor dentro de Docker no es tan relevante

  root /usr/share/nginx/html;
  index index.html;

  location /api/ {
    # 'api-gestion' es el nombre del servicio del backend en docker-compose.yml.
    # '8080' es el puerto que expone tu API DENTRO de la red de Docker.
    proxy_pass http://api-gestion:8080/api/;

    # Encabezados recomendados para pasar información al backend
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header X-Forwarded-Proto $scheme;
  }

  # Regla para la SPA (Single-Page Application)
  # Debe ir DESPUÉS de la regla de la API para que no la intercepte.
  location / {
    try_files $uri $uri/ /index.html;
  }
}